import { ReactiveController, ReactiveElement } from 'lit';
/**
 * Adds Form submit support for interactive custom elements.
 * https://developer.mozilla.org/en-US/docs/Web/API/HTMLFormElement/submit_event
 */
export declare function typeSubmit<T extends Submit>(): ClassDecorator;
export type Submit = ReactiveElement & HTMLElement & {
    name: string;
    value: string;
    disabled: boolean;
    type: 'button' | 'submit' | 'reset';
    readOnly: boolean;
    form?: HTMLFormElement | null;
    _internals: ElementInternals;
};
export declare class TypeSubmitController<T extends Submit> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostUpdated(): Promise<void>;
    hostDisconnected(): void;
}
